var YaBookmarksRegRequired = {
  nsIYaSearch: Components.classes["@yandex.ru/yasearch;1"].getService(Components.interfaces.nsIYaSearch).wrappedJSObject,

  getString: function(aStr) {
    return this.nsIYaSearch.yaBookmarks.getString(aStr);
  },

  onDialogLoad: function() {
    document.title = this.getString("Error_reg_required_Title");
    document.getElementById("regrequired-text").innerHTML = this.getString("Error_reg_required_Message");
  },

  handleWindowClick: function(aEvent) {
    var targetHref = aEvent.originalTarget.getAttribute("href");
    if (!targetHref)
      return true;

    setTimeout(function() {
      document.documentElement.cancelDialog();
    }, 2);

    return !this.nsIYaSearch.loadURI(targetHref, "tab");
  }
}