<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "chrome://yasearch/locale/yasearch.dtd">

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
>

<xsl:output method="xml" encoding="UTF-8" indent="no"/>

<xsl:template match="/">
  <menulist id="yasearch-bookmarks-folder" class="folder-icon" oncommand="YaBookmarks.handleListChange(this)">
    <menupopup>
      <menuitem label=" &yasearch.bookmarks.label;" class="folder-icon" style="padding-left:3px !important"/>
      <xsl:apply-templates/>
    </menupopup>
  </menulist>
</xsl:template>

<xsl:template match="folder">
  <menuitem label=" {@name}" class="folder-icon">
    <xsl:attribute name="style">
      <xsl:text>padding-left:</xsl:text>
      <xsl:value-of select="(count(ancestor::*)-1)*11 + 3"/>
      <xsl:text>px !important;</xsl:text>
    </xsl:attribute>
    <xsl:if test="not(@id='undefined')">
      <xsl:attribute name="yafolderid">
        <xsl:value-of select="@id"/>
      </xsl:attribute>
    </xsl:if>
  </menuitem>
  <xsl:apply-templates select="folder"/>
</xsl:template>

</xsl:stylesheet>