<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "chrome://yasearch/locale/yasearch.dtd">

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:data="urn:data"
  xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
  extension-element-prefixes="data"
>

<xsl:import href="chrome://yasearch/content/xsl-templ/xsl-menu-popup.xsl"/>

<xsl:output method="xml" encoding="UTF-8" indent="no"/>

<xsl:variable name="id" select="'yandex-bar-services'"/>
<xsl:variable name="id-prefix" select="'yasearchbox-engine-'"/>

<xsl:template match="data:services">
  <menupopup>
    <xsl:apply-templates select="data:group/data:service[@search-url]"/>
    <xsl:apply-templates select="data:group/data:complex[data:complex/data:service[@search-url] | data:service[@search-url]]"/>
  </menupopup>
</xsl:template>

<xsl:template match="data:service">
  <menuitem>
    <xsl:apply-templates select="@*"/>
    <xsl:apply-templates/>
    <xsl:attribute name="class">
      <xsl:text>menuitem-iconic searchbar-engine-menuitem</xsl:text>
    </xsl:attribute>
  </menuitem>
</xsl:template>

<xsl:template match="@id">
  <xsl:attribute name="id">
    <xsl:value-of select="concat($id-prefix, .)"/>
  </xsl:attribute>
</xsl:template>

</xsl:stylesheet>