<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "chrome://yasearch/locale/bookmarks/bookmarks.dtd">

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
>

<xsl:output method="xml" encoding="UTF-8" indent="no"/>

<xsl:template match="ok[@yaru_link]">
  <xsl:variable name="domain"
                select="substring-before(@yaru_link, substring-after(substring-after(@yaru_link,'//'), '/'))"/>
  
  <html:ul id="yasearch-livewindow-post-props">
    <html:li class="on-journal-create">
      <html:a href="http://wow.ya.ru/faq.xml"
              yaLinkAction="1945">&yasearch.livewindow.actions.yarufaq.label;</html:a>
    </html:li>
    <html:li class="on-journal-create">
      <html:a href="{$domain}options_profile.xml"
              yaLinkAction="1950">&yasearch.livewindow.actions.profile.label;</html:a>
    </html:li>
    <html:li class="on-journal-create">
      <html:a href="{$domain}posts_add_friend.xml"
              yaLinkAction="1955">&yasearch.livewindow.actions.findfriends.label;</html:a>
    </html:li>
    <html:li>
      <html:a href="{@yaru_link}"
              yaLinkAction="1925">&yasearch.livewindow.actions.viewpost.label;</html:a>
    </html:li>
    <xsl:if test="@yaru_edit_link">
      <html:li>
        <html:a href="{@yaru_edit_link}"
                yaLinkAction="1930">&yasearch.livewindow.actions.editpost.label;</html:a>
      </html:li>
    </xsl:if>
  </html:ul>

</xsl:template>

</xsl:stylesheet>