var YaSubPrefs = {
  accepted: false,
  
  savedShowSiteSearch: false,
  
  get currentShowSiteSearch() {
    return _YaPrefs.nsIYa.prefs.showSiteSearch;
  },
  
  set currentShowSiteSearch(val) {
    _YaPrefs.nsIYa.prefs.showSiteSearch = val;
    return this.currentShowSiteSearch;
  },
  
  beforeAccept: function() {
    this.accepted = true;
    return true;
  },
  
  beforeUnload: function() {
    if (!this.accepted && this.currentShowSiteSearch != this.savedShowSiteSearch)
      this.currentShowSiteSearch = this.savedShowSiteSearch;
  },
  
  init: function() {
    this.savedShowSiteSearch = this.currentShowSiteSearch;
    this.checkClearButtonState();
  },
  
  // history
  _historyParamName: "yasearch-history",
  
  nsIFormHistory: Components.classes["@mozilla.org/satchel/form-history;1"]
                            .getService(Components.interfaces.nsIFormHistory2),
  
  checkClearButtonState: function() {
    document.getElementById("clear-history-button").disabled = !this.nsIFormHistory.nameExists(this._historyParamName);
  },
  
  clearSearchHistory: function() {
    this.nsIFormHistory.removeEntriesForName(this._historyParamName);
    this.checkClearButtonState();
  }
};