<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "chrome://yasearch/locale/city/city.dtd">
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns=""
>

<xsl:output method="xml" encoding="UTF-8" indent="no"/>

<xsl:template match="geobase">
  <regions name="&yasearch.city.city.choose.label;">
    <xsl:apply-templates select="region/region[@type &gt; 0]"/>
  </regions>
</xsl:template>

<xsl:template match="region[@type &gt; 0 and @type &lt; 7]">
  <xsl:choose>
    <xsl:when test="(@type = 6)">
      <region id="{@id}">
        <xsl:attribute name="name">
          <xsl:choose>
            <xsl:when test="contains(@name,' (')">
              <xsl:value-of select="substring-before(@name,' (')"/>
            </xsl:when>
            <xsl:otherwise>
              <xsl:value-of select="@name"/>
            </xsl:otherwise>
          </xsl:choose>
        </xsl:attribute>
      </region>
      <xsl:apply-templates select="region"/>
    </xsl:when>
    <xsl:otherwise>
      <regions name="{@name}">
        <xsl:apply-templates select="region"/>
      </regions>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

</xsl:stylesheet>