<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet SYSTEM "chrome://yasearch/locale/yasearch.dtd">

<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:html="http://www.w3.org/1999/xhtml"
  xmlns="http://www.mozilla.org/keymaster/gatekeeper/there.is.only.xul"
>

<xsl:output method="xml" encoding="UTF-8" indent="no"/>
<xsl:variable name="error" select="counter/data/@error"/>

<xsl:param name="cbl" select="'{'"/>
<xsl:param name="cbr" select="'}'"/>

<xsl:template match="counter">
  <toolbarbutton>
    <xsl:attribute name="yaLabel">
      <xsl:choose>
        <xsl:when test="$error = 0">
          <xsl:value-of select="data/@count"/>
        </xsl:when>
        <xsl:otherwise>
          <xsl:text>0</xsl:text>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>
    <menupopup id="yasearch-moikrug-menupopup">
      <menuitem label="&yasearch.moikrug.reloadCounter.label;"
                oncommand="Ya.nsIYa.manualRefreshHTTPData('moikrug')"/>
      <menuseparator/>
      <menuitem label="&yasearch.moikrug.open.label;"
                oncommand="Ya.loadURI('http://moikrug.ru/threads/?from=bar', event, {$cbl}action:1660{$cbr})"/>
      <menuitem label="&yasearch.moikrug.firstcircle.label;"
                oncommand="Ya.loadURI('http://moikrug.ru/circles/first/users/', event, {$cbl}action:1610{$cbr})"/>
      <menuitem label="&yasearch.moikrug.profile.label;"
                oncommand="Ya.loadURI('http://moikrug.ru/profile/', event, {$cbl}action:1620{$cbr})"/>
      <menuitem label="&yasearch.moikrug.search.label;"
                oncommand="Ya.loadURI('http://moikrug.ru/search/?&#38;ok=0', event, {$cbl}action:1630{$cbr})"/>
      <menuitem label="&yasearch.moikrug.vacancies.label;"
                oncommand="Ya.loadURI('http://moikrug.ru/vacancies/dashboard/', event, {$cbl}action:1640{$cbr})"/>
      <menuitem label="&yasearch.moikrug.services.label;"
                oncommand="Ya.loadURI('http://moikrug.ru/services/', event, {$cbl}action:1650{$cbr})"/>
    </menupopup>
  </toolbarbutton>
</xsl:template>

</xsl:stylesheet>