Components.utils.import("resource://gre/modules/XPCOMUtils.jsm");

let EXPORTED_SYMBOLS = ["JSON"];

const Cc = Components.classes;
const Ci = Components.interfaces;

if (typeof(JSON) === "undefined") {
  var JSON = {
    _nativeJSON: Cc["@mozilla.org/dom/json;1"].createInstance(Ci.nsIJSON),
    
    parse: function(aJSONString) {
      return this._nativeJSON.decode(aJSONString);
    },
    
    stringify: function(aJSObject) {
      return this._nativeJSON.encode(aJSObject);
    }
  }
}